

# Évolutions

### Accrochage sur les objets
Mis en place de plusieurs fonctionnalités d'accrochage pour la saisie de données géographiques au travers des objets métiers :
- Pour insertion et modification des géométries
- Possibilité de s'accrocher sur l'objet métier en cours ainsi que sur les autres objets métiers de la carte
- Multiples options de configuration
    - Type d'accrochage (extrémités, vertex, segments)
    - Tolérance d'accrochage
    - Visibilité des zones d'accroche
    - Limite des points d'accroche

### Seuils d'échelle de saisie
Il est maintenant possible de renseigner sur un objet métier des échelles de saisie minimum et maximum dans le but de d'améliorer la qualité des données saisies par les utilisateurs.


### Import/export
Ajout de la fonctionnalité d'export VEX (vMap Extension File) permettant d'exporter dans un unique fichier les objets suivants :
- Cartes
- Calques
- Couches
- Objets métiers
- Rapports
- Événements
- Services web
- Modèle de données
- Données

Transformation de la fonctionnalité d'import d'objets métiers en import VEX

### Export par GTF
Donne la possiblité à l'administrateur de lier GTF à vMap, une fois ceci fait l'utilisateur pourra depuis le requêteur lancer des traitements GTF sur les objets sélectionnés.

### Module ANC
- Dans le formulaire "Filières agréées" mise en place d'une liste déroulante pour le champ dénomination
- Ajout du champ nº installation sur les formulaires de recherche installation et contrôle

### Vitis
- Possibilité de configurer le bouton "se souvenir de moi"
- Support de la version 10 de Postgres


# Anomalies corrigées

### Module ANC
- Filières agréées : liste dénomination de la filière mal reliée
- Filières agréées : rendre le champ "Numéro agrément" au format texte au lieu de nombre
- Contrôle -> Traitements : aucune donnée visualisable si le contrôle choisi n'est pas sur la première page
- Filières agréées : la liste "Fabricant" est mal reliée
- Contrôle : dans la section documents en mode consultation l'utilisateur peut saisir des documents mais pas les enregistrer
- Contrôle : enlever le champ "Date du prochain contrôle" du formulaire de filtre
- Installation : le champ nombre de Contrôles ne donne pas une bonne valeur
- Problème de visualisation en mode consultation pour les formulaires contenant des champs de type TinyMCE ou textarea
- Section évacuation des eaux: champ profondeur du puits d'infiltration non contraint

### Mode carto
- Erreur de mise à jour de géométrie sur les objets superposés
- Format des dates des impressions non valide: mm/jj/aaaa au lieu de jj/mm/aaaa
- Formulaires objets métiers: problème d'affichage des grilles
- Mobile : impossible de faire une saisie multi-type
- Mobile : problème d'affichage quand le nom de l'objet métier est trop long
- Problèmes d'affichage avec les formulaires à onglets
- Problème de traductions sur le formulaire utilisateur en cas d'utilisateur public
- Requêteur : la réinitialisation ne fonctionne pas correctement
- Requêteur : le bouton popup ne fonctionne pas correctement

### Mode Mapserver
- Mauvaise configuration objet web par défaut pour la balise wms_onlineresource
- Mots de passe avec caractère backslash non supportés dans les mapfiles
- Vues matérialisées non visibles dans les listes déroulantes lors de la création d'une couche

### Autres
- Problème de filtre pour l'ajout de calques à une carte
- Studio : Il est possible de créer des champs avec un nom d'attribut vide
- La documentation de POST /wmsservices/{wmsservice_id}/MapFile n'est pas correcte
